For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTPost Account Feedback
      • POSTTokenize an Account
      • POSTVerify an Account
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccounts

Verify an Account

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/accounts/verify
POST
/api/v1/accounts/verify
$curl -X POST https://sandbox.trustly.one/api/v1/accounts/verify \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "merchantId": 110005502,
> "account": {
> "accountNumber": "123456576",
> "routingNumber": "124003116",
> "country": "US"
> }
>}'
1{
2 "account": {
3 "type": 1,
4 "country": "US",
5 "accountNumber": "1000000009",
6 "routingNumber": "123456789",
7 "verification": {
8 "verified": false,
9 "type": 4,
10 "verificationDate": 1623322586771
11 }
12 }
13}
Allows for verification of most global accounts by passing in an account object containing either bank routing and account numbers or an IBAN.
Was this page helpful?
Previous

Tokenize an Account

Next

List Countries

Built with

Authentication

AuthorizationBasic

Query parameters

expandstringOptional

A field in the API response to be expanded in order for more details to be provided (e.g. account.paymentProvider).

Request

This endpoint expects an object.
merchantIddoubleRequired
A unique Trustly merchant identifier.
accountobjectRequired

Response

OK
requiredany
nameOnAccountstring>=1 character
Account owner name.
namestring>=1 character
Account name.
typeenum

Financial Institution Account Type:

  • -1: Unknown
  • 0: Other
  • 1: Checking
  • 2: Savings
Allowed values:
profileenum

Financial Institution Account Profile:

  • -1: Unknown
  • 0: Other
  • 1: Personal
  • 2: Business
Allowed values:
verificationobject
accountNumberstring1-4 characters
Last 4 digits of the bank account selected
routingNumberstring1-17 characters
Bank Routing Number provided by the selected account.
ibanstring>=1 character

IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders

tokenstring>=1 character
Account token for the returned account. This can be used to identify duplicate bank accounts in your system.
accountIdstring
providerIdstring
paymentProviderobject
Details of the Financial institution
verifiedboolean
If true, the account is verified.
countryenum

2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.

Allowed values:

Errors

400
Bad Request Error